package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工单收费详情对象 charge_details
 * 
 * @author ruoyi
 * @date 2025-05-12
 */
public class ChargeDetails extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 工单ID */
    @Excel(name = "工单ID")
    private String orderId;

    /** 产品名称 */
    @Excel(name = "产品名称")
    private String productName;

    /** 产品数量 */
    @Excel(name = "产品数量")
    private Long productNum;

    /** 产品单位 */
    @Excel(name = "产品单位")
    private String productUnit;

    /** 含税单价 */
    @Excel(name = "含税单价")
    private String unitPrice;

    /** 含税总价 */
    @Excel(name = "含税总价")
    private String totalPrice;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setOrderId(String orderId) 
    {
        this.orderId = orderId;
    }

    public String getOrderId() 
    {
        return orderId;
    }

    public void setProductName(String productName) 
    {
        this.productName = productName;
    }

    public String getProductName() 
    {
        return productName;
    }

    public void setProductNum(Long productNum) 
    {
        this.productNum = productNum;
    }

    public Long getProductNum() 
    {
        return productNum;
    }

    public void setProductUnit(String productUnit) 
    {
        this.productUnit = productUnit;
    }

    public String getProductUnit() 
    {
        return productUnit;
    }

    public void setUnitPrice(String unitPrice) 
    {
        this.unitPrice = unitPrice;
    }

    public String getUnitPrice() 
    {
        return unitPrice;
    }

    public void setTotalPrice(String totalPrice) 
    {
        this.totalPrice = totalPrice;
    }

    public String getTotalPrice() 
    {
        return totalPrice;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("orderId", getOrderId())
            .append("productName", getProductName())
            .append("productNum", getProductNum())
            .append("productUnit", getProductUnit())
            .append("unitPrice", getUnitPrice())
            .append("totalPrice", getTotalPrice())
            .toString();
    }
}
